# ports are superficially similar to Nix, but inferior in every way
{ buildPackages }:
with buildPackages; {
  dde_bsd.hash = "sha256-2ilZs6JkcQAvU/sQYnHunGtGRZDt7qLTpKZxQxSOf2I=";
  dde_ipxe.hash = "sha256-NJ129+DkxFg1fFHJBABBFRRjqEVNSz6v2hEB80AuEM4=";
  dde_linux.hash = "sha256-3G5Mprv9ZBNhDJRuVF6Nrkp3KbFaN10IKFq0OdyAY9M=";
  dde_rump = {
    hash = "sha256-Wr5otGkWEa+5xImsFHQzwap5LckNEbyWA/7xbNcOreI=";
    nativeBuildInputs = [ subversion ];
    patches = [ ./svn-trust-server-cert.patch ];
  };
  # expat.hash = "sha256-6Kz8qHmSg9/r+o3UJX8ZyB5aDjmfrbsUW/TppbB16jk=";
  jitterentropy.hash = "sha256-6KS732GxtUMz0xPYKtshdn039DgdJq11vTDQesZn4Ds=";
  jpeg.hash = "sha256-RLVnlrnYGrhqr3Feikoi/BNditCaKN0u3t9/UDpl2wQ=";
  libc = {
    hash = "sha256-RL5l7GHlczc/6Uils9WCuPh9cCawx6XZ4H0HLPdMmAA=";
    nativeBuildInputs = [ buildPackages.gcc subversion ];
  };
  libiconv.hash = "sha256-25YcW5zo1fE33ZolGQroR+KZO8wHEdN1QXa7+MhwS78=";
  libpng.hash = "sha256-hNmSWN4gEk4UIjzkGD4j5qFooMCVXLwcBeOeFumvh+4=";
  libssh.hash = "sha256-Z/1YdhISh2kqBjWiTOLkS+usoeeekJvAuYrVUgpxnQM=";
  lighttpd.hash = "sha256-kEP4Q7rBhN9D77008pkOlnj7sWhk1gbiokzOGGDs2PM=";
  lwip.hash = "sha256-mB7RI9ITvS5IDawQS4pXBcDQDQhtXEk3w0Deis+SzLQ=";
  lz4.hash = "sha256-nydkAbexaqcKYDzp0TsECKMXyPaoY9rf3MAbU33VPrg=";
  mesa = {
    hash = "sha256-5SHU4m3kMmi6Nfj4SBq2tO3mzsIBrRPz64dexjV4pYA=";
    nativeBuildInputs = [ python ];
  };
  mupdf.hash = "sha256-6NX7zvOwReBBdz83RxGW2FJWUkqI/DTBkSOCqukidYs=";
  openssl = {
    hash = "sha256-kLxxl9CNGz8QoXjvYqoEeDeBkp33qElK9HodQJhdAP8=";
    patches = [ ./openssl.patch ];
  };
  qemu-usb.hash = "sha256-F4ZXeH5sx3FOcD42zFOxKFMsqGookKdav1NJ7YgVw98=";
  stb.hash = "sha256-9LSH1i8jcEvjRAmTvgtK+Axy9hO7uiSzmSgBvs0zkTc=";
  stdcxx.hash = "sha256-iiE009fL1yE3XJ7HkaJakOiS++m7qONwwGrdJjBXQ7k=";
  virtualbox5 = {
    hash = "sha256-qTdaJX8plHJV9z5MN68gFwGNhcGFu3f2WwkVkBGu/ck=";
    nativeBuildInputs = [ iasl libxslt unzip yasm ];
    patches = [ ./vbox5-iasl.patch ];
  };
  x86emu.hash = "sha256-QY6OL+cDVjQ67JItP1rS4ufPRGZf43AZtWxwza/0q0w=";
  zlib.hash = "sha256-j3JXN0f8thrPCvLhYHIPjbGa0t3iynQ/gO7KMlgljq0=";
}
